Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## name.milesparker.epi.region
Enum StatusEnum

    java.lang.Object
      java.lang.Enum<StatusEnum>
          name.milesparker.epi.region.StatusEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StatusEnum>

    public enum StatusEnum

extends java.lang.Enum<StatusEnum>

Status Java Implementation. Generated by AMF for model: EpidemicRegional.metaabm in project: org.eclipse.amp.amf.examples.escape

Enum Constant Summary
`asymptomInfectious`
`dead`
`exposed`
`recovered`
`susceptible`
`symptomInfectious`

Method Summary
`java.lang.String` | `toString()`
`static StatusEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatusEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### susceptible

    public static final StatusEnum susceptible

### exposed

    public static final StatusEnum exposed

### asymptomInfectious

    public static final StatusEnum asymptomInfectious

### symptomInfectious

    public static final StatusEnum symptomInfectious

### recovered

    public static final StatusEnum recovered

### dead

    public static final StatusEnum dead

Method Detail

### values

    public static StatusEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatusEnum c : StatusEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatusEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<StatusEnum>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD